# Method: inventory.partners.merchants.status.list

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.ListMerchantStatusesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#body.aspect)
- [BookingInventoryStatus](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#BookingInventoryStatus)
- [WaitlistInventoryStatus](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#WaitlistInventoryStatus)
- [GeoMatchingStatus](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#GeoMatchingStatus)

List all `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus` of a partner that satisfy the filter conditions.

### HTTP request

`GET https://mapsbooking.googleapis.com/v1alpha/inventory/{parent=partners/*/merchants}/status`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of merchant status. Format: `partners/{partner_id}/merchants` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Required. The maximum number of items to return. Note that the server may reduce the page size. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous ListMerchantStatusResponse, if any. |
| `bookingInventoryStatusRestrict` | ``enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#BookingInventoryStatus`)`` Optional. Optional restriction to filter results by booking inventory status. |
| `waitlistInventoryStatusRestrict` | ``enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#WaitlistInventoryStatus`)`` Optional. Optional restriction to filter results by waitlist inventory status. |
| `geoMatchRestrict` | ``enum (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list#GeoMatchingStatus`)`` Optional. Optional restriction to filter results by Geo matching status. |

### Request body

The request body must be empty.

### Response body

The response to list `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "merchantStatuses": [ { object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `merchantStatuses[]` | ``object (`https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus`)`` List of merchant statuses that satisfy the filter conditions. |
| `nextPageToken` | `string` Token to retrieve the next page of results. There are no more results in the list if empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`

## BookingInventoryStatus

End-to-end booking inventory status.

| Enums ||
|---|---|
| `BOOKING_INVENTORY_STATUS_UNSPECIFIED` | Not specified. |
| `NO_VALID_FUTURE_INVENTORY` | Merchant doesn't have booking inventory in the next 30 day. |
| `HAS_VALID_FUTURE_INVENTORY` | Merchant has booking inventory in the next 30 day. |

## WaitlistInventoryStatus

End-to-end waitlist inventory status.

| Enums ||
|---|---|
| `WAITLIST_INVENTORY_STATUS_UNSPECIFIED` | Not specified. |
| `NO_VALID_WAITLIST_SERVICE` | Merchant doesn't have service supporting waitlist. |
| `HAS_VALID_WAITLIST_SERVICE` | Merchant has service supporting waitlist. |

## GeoMatchingStatus

Merchant geo matching status.

| Enums ||
|---|---|
| `GEO_MATCHING_STATUS_UNSPECIFIED` | Not specified. |
| `GEO_UNMATCHED` | Merchant is not geo matched. |
| `GEO_MATCHED` | Merchant is geo matched. |